net.sourceforge.pmd.lang.dfa.report

## Class ClassNode

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.report.AbstractReportNode
  - - net.sourceforge.pmd.lang.dfa.report.ClassNode

    public class ClassNode
    extends AbstractReportNode

### Constructor Summary

Constructors
Constructor and Description
`ClassNode(String className)`

### Method Summary

Methods
`boolean` `equalsNode(AbstractReportNode arg0)` Should compare to nodes of the tree.
`String` `getClassName()`

### Methods inherited from class net.sourceforge.pmd.lang.dfa.report.AbstractReportNode

`accept, add, addFirst, addNumberOfViolation, childrenAccept, getChildAt, getChildCount, getFirstChild, getNextSibling, getNumberOfViolations, getParent, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassNode

    public ClassNode(String className)

### Method Detail

#### getClassName

    public String getClassName()

#### equalsNode

    public boolean equalsNode(AbstractReportNode arg0)

Description copied from class: `AbstractReportNode`
Should compare to nodes of the tree.

Specified by:
  `equalsNode` in class `AbstractReportNode`